IWGETID(8)

NUME
iwgetid - raportează ESSID, NWID sau AP/Adresa de celulă a rețelei wireless

SINOPSIS
iwgetid [interfața] [--raw] [--scheme] [--ap] [--freq]
[--mode] [--protocol] [--channel]

DESCRIERE
iwgetid este utilizat pentru a afla NWID, ESSID sau AP/Adresa de celulă a rețelei fără fir care este utilizată în prezent. Informațiile raportate sunt aceleași cu cele afișate de iwconfig, dar iwgetid este mai ușor de integrat în diverse scripturi.
În mod implicit, iwgetid va imprima ESSID al dispozitivului, iar dacă dispozitivul nu are niciun ESSID, va imprima NWID al acestuia.
Formatarea implicită a ieșirii este destul de plăcută.

OPȚIUNI

--raw
    Această opțiune dezactivează afișarea informațiilor în format „pretty-printing”. Această opțiune este ortogonală celorlalte opțiuni (cu excepția --scheme), astfel încât, cu o combinație adecvată de opțiuni, puteți imprima ESSID, AP Address sau Mode în format brut.
    Acest format este ideal atunci când se stochează rezultatul lui «iwgetid» ca variabilă în scripturile Shell sau Perl sau pentru a transmite rezultatul ca argument în linia de comandă a lui iwconfig.

--scheme
    Această opțiune este similară cu cea precedentă, dar dezactivează afișarea plăcută a informațiilor și elimină toate caracterele care nu sunt alfanumerice (cum ar fi spațiul, semnele de punctuație și caracterele de control).
    Rezultatul este un identificator valid al schemei Pcmcia (care poate fi utilizat ca argument al comenzii cardctl scheme). Acest format este, de asemenea, ideal atunci când se utilizează rezultatul lui «iwgetid» ca selector în scripturile Shell sau Perl, sau ca nume de fișier.

--ap
    Afișează adresa MAC a punctului de acces wireless Access Point sau a celulei Cell.

--freq
    Afișează frecvența sau canalul curent utilizat de interfață.

--channel
    Afișează canalul channel curent utilizat de interfață. Canalul este determinat folosind frecvența curentă și lista de frecvențe furnizată de interfață.

--mode
    Afișează modul mode curent al interfeței.

--protocol
    Afișează numele protocolului al interfeței. Acest lucru permite identificarea tuturor plăcilor care sunt compatibile între ele și acceptă același tip de configurare.
    Aceasta poate fi utilizată și pentru a verifica suportul pentru extensia wireless pe interfață, deoarece acesta este singurul atribut pe care toți controlorii care acceptă extensia wireless sunt obligați să îl accepte.

CONSULTAȚI ȘI
iwconfig(8), ifconfig(8), iwspy(8), iwpriv(8), ifrename(8), iftab(5), iwevent(8), iwlist(8).

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.